Index: unk/phpgwapi/templates/classic/css/kneschke.css
===================================================================
--- /trunk/phpgwapi/templates/classic/css/kneschke.css	(revision 1151)
+++ 	(revision )
@@ -1,390 +1,0 @@
-/*
-StyleSheet coding standards:
-
-1. use lowercase if possible
-
-2. format styles like this:
-
-body
-{
-	font-size: 12px;
-	font-family: Verdana, Arial, Helvetica, sans-serif
-}
-
-3. existing html elements on top of the document, then all self defined .classes and at last all self defined #id's.
-
-4. close every property with ; also the last one.
-*/
-
-body 
-{
-	background-image:url(../images/body-background.png);
-	font-size: 11px; 
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	padding:14px;
-}
-
-img
-{
-	border-width:0px;
-	border-style:none;
-	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
-*/
-}
-
-a:link,a:visited
-{
-	cursor:pointer;
-	color: #006699; 
-	text-decoration: none;
-}
-
-/*
-a:visited 
-{
-	color: #006699; 
-	text-decoration: none;
-}
-*/
-a:hover,a:active
-{
-	cursor:pointer;
-	color: #ff9933;
-	text-decoration: underline;
-}
-/*
-a:active 
-{
-	color: #006699; 
-	text-decoration: underline;
-}
-*/
-input,button
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-input[type=submit],input[type=button],button
-{
-	margin:1px;
-	padding:1px;
-	cursor: pointer; 
-	cursor: hand;
-}
-
-input[type=image]
-{
-	cursor: pointer; 
-	cursor: hand;
-	border: 0px #bbbbbb none;
-}
-select 
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-td
-{
-	font-size: 11px;
-	/*	padding-top:1px;
-	padding-bottom:1px;*/
-}
-
-.divLoginbox 
-{
-	position:relative;
-	width: 300px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divLoginboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-.divSidebox 
-{
-	position:relative;
-	width: 147px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divSideboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-
-a.divSideboxEntry, .divSideboxEntry
-{
-	text-align:left;
-	height:16px;
-	background-color:#eeeeee;
-}
-
-a.appTitles,.appTitles
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-}
-
-a.textSidebox
-{
-	font-size: 10px; 
-	border-top: #aaaaaa 0px none;
-}
-
-.textSidebox
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-	border-top: #aaaaaa 1px solid;
-
-}
-
-.sideboxSpace
-{
-	height:9px;
-}
-
-.greyLine
-{
-	margin:1px;
-	border-top-color:#7e7e7e;
-	border-top-width:1px;
-	border-top-style:solid;
-	height:1px;
-}
-
-.prefSection
-{
-	font-weight:bold;
-	font-size:16px;
-	line-height:40px;
-}
-
-#extraIcons
-{
-/*	position:absolute;
-	z-index:13;
-	right:10px;
-	top:113px;
-	visibility:hidden;*/
-	background-image:url(../images/alpha-white.png);
-	border-width:1px;
-	border-color:#7e7e7e;
-	border-style:solid;
-}
-
-
-
-#divMain
-{
-	background-color:white;
-	margin-top: 5px;
-	padding:9px;
-	border-color:#7e7e7e;
-	border-width:1px;
-	border-style:solid;
-}
-
-#divLogo
-{
-	position:absolute;
-	left:20px;
-	top:14px;
-	z-index:51;
-}
-
-#divAppIconBar
-{
-	background-color:white;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	background-image: url(../images/background-icon-bar.png); 
-	background-repeat: repeat-x
-}
-
-#divAppTextBar
-{
-	background-color:white;
-}
-
-#divStatusBar
-{
-	background-color:white;
-	height:15px;
-	padding-left:170px;
-	margin-top: 13px;
-	/*	margin-bottom: 2px;*/
-}
-
-/*#divSubContainer
-{
-}
-*/
-#tdSidebox
-{
-	width:170px;
-	background-color:white;
-	overflow:visible;
-}
-
-
-#tdAppbox
-{
-	background-color:white;
-	padding-left:5px;
-	width: 100%;
-}
-#divSideboxContainer
-{
-	position:relative;
-	width:150px;
-	top:0px;
-	left:0px;
-	background-color:white;
-	border-width:1px;
-	border-style:solid;
-	z-index:40;
-}
-
-#divAppboxHeader
-{
-	/*width:100%;*/
-	background-image:url(../images/appbox-header-background.png);
-	background-repeat: repeat-x;
-	height:36px;
-	line-height:28px;
-	text-align:center;
-	/*	padding-top:7px;*/
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#666666;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-}
-
-#divAppbox
-{
-/*	width:100%;*/
-	background-color:#f7f7f7;
-	padding:5px;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-}
-
-#fmStatusBar
-{
-	margin-left:4px;
-	margin-bottom:3px;
-	font-size: 10px; 
-/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
-	
-
-}
-
-
-.fmButton
-{
-	background-image:url(../images/buttonbackground.png);
-	width:28px;
-	height:28px;
-	background-repeat: no-repeat;
-}
-
-#fmLocation
-{
-	position:relative;
-	/*background-image:url(../images/buttonbackgroundscaled.png);
-	background-repeat: repeat-x;*/
-	/*margin-left:4px;*/
-	margin-bottom:3px;
-	height:27px;
-
-}
-
-#fmMenu
-{
-	position:relative;
-}
-#fmFileWindow
-{
-	background-color:#ffffff;
-	margin-left:4px;
-	padding:5px;
-	position:relative;
-	border-right: #cccccc 1px solid; 
-	border-top: #9c9c9c 2px solid; 
-	border-left: #9c9c9c 2px solid; 
-	border-bottom: #cccccc 1px solid
-}
-
-#user_info
-{
-
-
-}
-
-#admin_info
-{
-	position:relative;
-	text-align:right;
-}
-
-#divGenTime
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #ff0000;
-	text-align:center;
-	width:99%;
-}
-
-#divPoweredBy 
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #000000;
-	text-align:center;
-	width:99%;
-}
-
Index: unk/phpgwapi/templates/classic/css/jerryr.css
===================================================================
--- /trunk/phpgwapi/templates/classic/css/jerryr.css	(revision 1151)
+++ 	(revision )
@@ -1,655 +1,0 @@
-/*
-StyleSheet coding standards:
-
-1. use lowercase if possible
-
-2. format styles like this:
-
-body
-{
-	font-size: 12px;
-	font-family: Verdana, Arial, Helvetica, sans-serif
-}
-
-3. existing html elements on top of the document, then all self defined .classes and at last all self defined #id's.
-
-4. close every property with ; also the last one.
-*/
-
-body 
-{
-	background-image:url(../images/body-background.png);
-	font-size: 11px; 
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	padding:0px;
-	margin-top: 5px;
-}
-
-img
-{
-	border-width:0px;
-	border-style:none;
-	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
-*/
-}
-
-a:link,a:visited
-{
-	cursor:pointer;
-	color: #006699; 
-	text-decoration: none;
-}
-
-/*
-a:visited 
-{
-	color: #006699; 
-	text-decoration: none;
-}
-*/
-a:hover,a:active
-{
-	cursor:pointer;
-	color: #ff9933;
-}
-/*
-a:active 
-{
-	color: #006699; 
-	text-decoration: underline;
-}
-*/
-input,button
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-input[type=submit],input[type=button],button
-{
-	margin:1px;
-	padding:0px;
-	cursor: pointer; 
-	cursor: hand;
-}
-
-input[type=image]
-{
-	cursor: pointer; 
-	cursor: hand;
-	border: 0px #bbbbbb none;
-}
-select 
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-td
-{
-	font-size: 11px;
-	/*	padding-top:1px;
-	padding-bottom:0px;*/
-}
-
-.divLoginbox 
-{
-	position:relative;
-	width: 300px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divLoginboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-.divSidebox 
-{
-	position:relative;
-	width: 147px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divSideboxHeader 
-{
-	text-align:center;
-	background-image:url(../images/divSideboxHeader-background.png);
-	height:18px;
-	background-color:#ffffff;
-	padding-top:1px;
-	border-bottom: #9c9c9c 1px solid
-	font-size:10px;
-	font-weight:bold;
-	color:#ffffff;
-}
-
-a.divSideboxEntry, .divSideboxEntry
-{
-	text-align:left;
-	height:16px;
-	background-color:#fafcff;
-}
-
-a.appTitles,.appTitles
-{
-	font-size: 10px; 
-	height:16px;
-	padding-top:0px;
-	padding-bottom:0px;
-}
-
-a.textSidebox
-{
-	
-	font-size: 10px; 
-	border-top: #aaaaaa 1px none;
-}
-
-.textSidebox
-{
-	
-	font-size: 10px; 
-	height:16px;
-	padding-top:1px;
-	padding-bottom:1px;
-	
-}
-
-.sideboxSpace
-{
-	height:9px;
-}
-
-.greyLine
-{
-	margin:1px;
-	border-top-color:#7e7e7e;
-	border-top-width:1px;
-	border-top-style:solid;
-	height:1px;
-}
-
-.prefSection
-{
-	font-weight:bold;
-	font-size:16px;
-	line-height:40px;
-}
-
-#extraIcons
-{
-/*	position:absolute;
-	z-index:13;
-	right:10px;
-	top:113px;
-	visibility:hidden;*/
-/*	background-image:url(../images/alpha-white.png); */
-	background-color:#eeeeee;
-	border-width:1px;
-	border-color:#7e7e7e;
-	border-style:solid;
-}
-
-
-
-#divMain
-{
-	background-color:white;
-	margin-top: 5px;
-	padding:5px;
-	border-color:#7e7e7e;
-	border-width:1px;
-	border-style:solid;
-}
-
-#divLogo
-{
-	position:absolute;
-	left:15px;
-	top:13px;
-	z-index:51;
-}
-
-#divAppIconBar
-{
-	background-color:white;
-	padding=0px;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	background-image: url(../images/background-icon-bar.png); 
-	background-repeat: repeat-x
-}
-
-#divAppTextBar
-{
-	background-color:white;
-}
-
-#divStatusBar
-{
-	background-color:white;
-	height:15px;
-	padding-left:10px;
-	margin-top: 1px;
-	/*	margin-bottom: 2px;*/
-}
-
-/*#divSubContainer
-{
-}
-*/
-#tdSidebox
-{
-	width:170px;
-	background-color:white;
-	overflow:visible;
-}
-
-
-#tdAppbox
-{
-	background-color:white;
-	padding-left:5px;
-	padding-right:0px;
-	padding-bottom:2px;
-	width: 100%;
-}
-#divSideboxContainer
-{
-	position:relative;
-	width:150px;
-	top:0px;
-	left:0px;
-	background-color:white;
-	border-width:1px;
-	border-style:solid;
-	z-index:40;
-}
-
-#divAppboxHeader
-{
-	/*width:100%;*/
-	background-image:url(../images/appbox-header-background.png);
-	background-repeat: repeat-x;
-	height:20px;
-	line-height:22px;
-	text-align:center;
-	/*	padding-top:7px;*/
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#666666;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-}
-
-#divAppbox
-{
-/*	width:100%;*/
-	background-color:#faf8f3;
-	padding:5px;
-	
-}
-
-#fmStatusBar
-{
-	margin-left:4px;
-	margin-bottom:3px;
-	font-size: 10px; 
-/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
-	
-
-}
-
-
-.fmButton
-{
-	background-image:url(../images/buttonbackground.png);
-	width:28px;
-	height:28px;
-	background-repeat: no-repeat;
-}
-
-#fmLocation
-{
-	position:relative;
-	/*background-image:url(../images/buttonbackgroundscaled.png);
-	background-repeat: repeat-x;*/
-	/*margin-left:4px;*/
-	margin-bottom:3px;
-	height:27px;
-
-}
-
-#fmMenu
-{
-	position:relative;
-}
-#fmFileWindow
-{
-	background-color:#ffffff;
-	margin-left:4px;
-	padding:5px;
-	position:relative;
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 2px solid; 
-	border-left: #9c9c9c 2px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-#user_info
-{
-
-
-}
-
-#admin_info
-{
-	position:relative;
-	text-align:right;
-}
-
-#divGenTime
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #ff0000;
-	text-align:center;
-	width:99%;
-}
-
-#divPoweredBy 
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #000000;
-	text-align:center;
-	width:99%;
-}
-
-.calRowBottomShadow
-{
-	background: url(../images/mid-foot.png); 
-	background-repeat: repeat-x;
-}
-
-
-.titleBarBackGround
-{
-	background-image: url(../images/appbox-header-background.png); 
-	height:22px;
-	background-repeat: repeat-x;
-	text-align:center;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-}
-
-.calDayTitleBeige
-{
-	background: url(../images/mid-title-beige.png); 
-	background-repeat: repeat-x;
-	height:28px;
-	text-align:center;
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#666666;
-}
-
-.calDayTitleBlue
-{
-	background: url(../images/mid-title.png); 
-	background-repeat: repeat-x;
-	height:28px;
-	text-align:center;
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#ffffff;
-}
-
-.calDayTitleRed
-{
-	background-image: url(../images/mid-title-red.png); 
-	background-repeat: repeat-x;
-	height:28px;
-	text-align:center;
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#ffffff;
-}
-
-.calLeftShadow
-{
-	background: url(../images/lt-body.png); 
-	padding-bottom:0px;
-}
-
-.calRightShadow
-{
-	background: url(../images/rt-body.png); 
-	padding-bottom:0px;
-}
-
-.calLtLtTitleBlue
-{
-	background: url(../images/lt-lt-title.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtMidTitleBlue
-{
-	background: url(../images/lt-mid-title.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtMidTitleBlue
-{
-	background: url(../images/rt-mid-title.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtMidTitleBeige
-{
-	background: url(../images/rt-mid-title-beige.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtRtTitleBeige
-{
-	background: url(../images/rt-rt-title-beige.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtRtTitleBlue
-{
-	background: url(../images/rt-rt-title.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtLtTitleBeige
-{
-	background: url(../images/lt-lt-title-beige.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtLtTitleRed
-{
-	background: url(../images/lt-lt-title-red.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtMidTitleBeige
-{
-	background: url(../images/lt-mid-title-beige.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtMidTitleRed
-{
-	background: url(../images/lt-mid-title-red.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtMidTitleRed
-{
-	background: url(../images/rt-mid-title-red.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calRtRtTitleRed
-{
-	background: url(../images/rt-rt-title-red.png); 
-	padding-bottom:0px;
-	height:28px;
-}
-
-.calLtLtFoot
-{
-	background: url(../images/lt-lt-foot.png); 
-	padding-bottom:0px;
-	height:17px;
-}
-
-.calLtMidFoot
-{
-	background: url(../images/lt-mid-foot.png); 
-	padding-bottom:0px;
-	height:17px;
-}
-
-.calRtMidFoot
-{
-	background: url(../images/rt-mid-foot.png); 
-	padding-bottom:0px;
-	height:17px;
-}
-
-.calRtRtFoot
-{
-	background: url(../images/rt-rt-foot.png); 
-	padding-bottom:0px;
-	height:17px;
-}
-
-.calDayView
-{
-	background-image: url(../images/appbox-header-background.png); 
-	height:22px;
-	background-repeat: repeat-x;
-	text-align:center;
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#666666;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-}
-
-.calDayViewSideBoxes
-{
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	background-color:#faf8f3;
-}
-
-.calDayViewShadowBox
-{
-	border-top-color:#9c9c9c;
-	border-top-width:2px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:2px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:2px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	background-color:#ffffff;
-	padding:2px;
-}
-
-.addBookAlphaLinks
-{
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-}
Index: unk/phpgwapi/templates/classic/css/idots.css
===================================================================
--- /trunk/phpgwapi/templates/classic/css/idots.css	(revision 1151)
+++ 	(revision )
@@ -1,400 +1,0 @@
-/*
-StyleSheet coding standards:
-
-1. use lowercase if possible
-
-2. format styles like this:
-
-body
-{
-	font-size: 12px;
-	font-family: Verdana, Arial, Helvetica, sans-serif
-}
-
-3. existing html elements on top of the document, then all self defined .classes and at last all self defined #id's.
-
-4. close every property with ; also the last one.
-*/
-
-body 
-{
-	background-image:url(../images/body-background.png);
-	font-size: 11px; 
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	padding:3px;
-}
-
-img
-{
-	border-width:0px;
-	border-style:none;
-	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
-*/
-}
-
-a:link,a:visited
-{
-	cursor:pointer;
-	color: #006699; 
-	text-decoration: none;
-}
-
-/*
-a:visited 
-{
-	color: #006699; 
-	text-decoration: none;
-}
-*/
-a:hover,a:active
-{
-	cursor:pointer;
-	color: #ff9933;
-	text-decoration: underline;
-}
-/*
-a:active 
-{
-	color: #006699; 
-	text-decoration: underline;
-}
-*/
-input,button
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-input[type=submit],input[type=button],button
-{
-	margin:1px;
-	padding:1px;
-	cursor: pointer; 
-	cursor: hand;
-}
-
-input[type=image]
-{
-	cursor: pointer; 
-	cursor: hand;
-	border: 0px #bbbbbb none;
-}
-select 
-{
-	font-size: 11px; 
-	color: #006699; 
-	font-family: Arial, Helvetica, sans-serif;
-	border: 1px #bbbbbb solid;
-}
-
-td
-{
-
-/* global tags should never be defined here [ndee]*/
-	font-size: 11px;
-/* removed text-align:left; [ndee]*/
-	/*	padding-top:1px;
-	padding-bottom:1px;*/
-}
-
-.divLoginbox 
-{
-	position:relative;
-	width: 300px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divLoginboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-.divSidebox 
-{
-	position:relative;
-	width: 147px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divSideboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-
-a.divSideboxEntry, .divSideboxEntry
-{
-	text-align:left;
-	height:16px;
-	background-color:#eeeeee;
-}
-
-a.appTitles,.appTitles
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-}
-
-a.textSidebox
-{
-	font-size: 10px; 
-	border-top: #aaaaaa 0px none;
-}
-
-.textSidebox
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-	border-top: #aaaaaa 1px solid;
-
-}
-
-.sideboxSpace
-{
-	height:9px;
-}
-
-.greyLine
-{
-	margin:1px;
-	border-top-color:#7e7e7e;
-	border-top-width:1px;
-	border-top-style:solid;
-	height:1px;
-}
-
-.prefSection
-{
-	font-weight:bold;
-	font-size:16px;
-	line-height:40px;
-}
-
-#extraIcons
-{
-/*	position:absolute;
-	z-index:13;
-	right:10px;
-	top:113px;
-	visibility:hidden;*/
-/*	background-image:url(../images/alpha-white.png);*/
-	background-color:#eeeeee;
-	border-width:1px;
-	border-color:#7e7e7e;
-	border-style:solid;
-}
-
-.extraIconsRow
-{
-	border-top-color:#dddddd;
-	border-top-width:1px;
-	border-top-style:solid;
-	padding:2px;
-}
-
-#divMain
-{
-	background-color:white;
-	margin-top: 5px;
-	padding:9px;
-	border-color:#7e7e7e;
-	border-width:1px;
-	border-style:solid;
-}
-
-#divLogo
-{
-	position:absolute;
-	left:20px;
-	top:5px;
-	z-index:51;
-}
-
-#divAppIconBar
-{
-	background-color:white;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	background-image: url(../images/background-icon-bar.png); 
-	background-repeat: repeat-x
-}
-
-#divAppTextBar
-{
-	background-color:white;
-}
-
-#divStatusBar
-{
-	background-color:white;
-	height:15px;
-	padding-left:10px;
-	margin-top: 13px;
-	/*	margin-bottom: 2px;*/
-}
-
-/*#divSubContainer
-{
-}
-*/
-#tdSidebox
-{
-	width:170px;
-	background-color:white;
-	overflow:visible;
-}
-
-
-#tdAppbox
-{
-	background-color:white;
-	padding-left:5px;
-	width: 100%;
-}
-#divSideboxContainer
-{
-	position:relative;
-	width:150px;
-	top:0px;
-	left:0px;
-	background-color:white;
-	border-width:1px;
-	border-style:solid;
-	z-index:40;
-}
-
-#divAppboxHeader
-{
-	/*width:100%;*/
-	background-image:url(../images/appbox-header-background.png);
-	background-repeat: repeat-x;
-	height:36px;
-	line-height:28px;
-	text-align:center;
-	/*	padding-top:7px;*/
-	padding-bottom:0px;
-	font-size:14px;
-	font-weight:bold;
-	color:#666666;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-}
-
-#divAppbox
-{
-/*	width:100%;*/
-	background-color:#f7f7f7;
-	padding:5px;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-}
-
-#fmStatusBar
-{
-	margin-left:4px;
-	margin-bottom:3px;
-	font-size: 10px; 
-/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
-	
-
-}
-
-
-.fmButton
-{
-	background-image:url(../images/buttonbackground.png);
-	width:28px;
-	height:28px;
-	background-repeat: no-repeat;
-}
-
-#fmLocation
-{
-	position:relative;
-	/*background-image:url(../images/buttonbackgroundscaled.png);
-	background-repeat: repeat-x;*/
-	/*margin-left:4px;*/
-	margin-bottom:3px;
-	height:27px;
-
-}
-
-#fmMenu
-{
-	position:relative;
-}
-#fmFileWindow
-{
-	background-color:#ffffff;
-	margin-left:4px;
-	padding:5px;
-	position:relative;
-	border-right: #cccccc 1px solid; 
-	border-top: #9c9c9c 2px solid; 
-	border-left: #9c9c9c 2px solid; 
-	border-bottom: #cccccc 1px solid
-}
-
-#user_info
-{
-
-
-}
-
-#admin_info
-{
-	position:relative;
-	text-align:right;
-}
-
-#divGenTime
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #ff0000;
-	text-align:center;
-	width:99%;
-}
-
-#divPoweredBy 
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #000000;
-	text-align:center;
-	width:99%;
-}
-