Index: trunk/phpgwapi/templates/default/login.tpl
===================================================================
--- trunk/phpgwapi/templates/default/login.tpl	(revision 1151)
+++ trunk/phpgwapi/templates/default/login.tpl	(revision 1246)
@@ -3,4 +3,5 @@
 <!-- BEGIN login_form -->
 <HEAD>
+
 <META http-equiv="Content-Type" content="text/html; charset={charset}">
 <META name="AUTHOR" content="dGroupWare http://www.eGroupWare.org">
@@ -8,108 +9,59 @@
 <META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
 <META NAME="keywords" CONTENT="{website_title} login screen, eGroupWare, groupware, groupware suite">
-<link href="phpgwapi/templates/default/login.css" rel="stylesheet" type="text/css">
+
 <TITLE>{website_title} - {lang_login}</TITLE>
-<script language="Javascript">
-<!--
+</HEAD>
 
-	function setLogin(){
-		if( document.flogin.organization != null)
-			document.flogin.login.value = document.flogin.organization.value+'-'+document.flogin.user.value;
-		else
-			document.flogin.login.value = document.flogin.user.value;			
-	}
-	
-	function getLogin(){
-		var cookie = '{cookie}';
-		if( document.flogin.organization != null)
-			document.flogin.user.value= cookie.substring(cookie.indexOf('-')+1,cookie.length);
-		else	
-			document.flogin.user.value= cookie;
+<body bgcolor="#{bg_color}">
+<a href="{logo_url}"><img src="{logo_file}" alt="{logo_title}" title="{logo_title}" border="0"></a>
+<p>&nbsp;</p>
+<center>{lang_message}</center>
+<p>&nbsp;</p>
 
-		if(document.flogin.user.value == '') {
-			if(document.flogin.organization != null)
-				document.flogin.organization.focus();
-			else
-				document.flogin.user.focus();
-		}
-		else
-			document.flogin.passwd.focus();
-	}
-	
- 	function openWindow(newWidth,newHeight,link) {					
-		newScreenX  = screen.width - newWidth;	
-		newScreenY  = 0;		
-		Window1=window.open(link,'',"width="+newWidth+",height="+newHeight+",screenX="+newScreenX+",left="+newScreenX+",screenY="+newScreenY+",top="+newScreenY+",toolbar=no,scrollbars=yes,resizable=no");				
-	}	
-	-->
-</script>
-</HEAD>
-<body scroll="no"  style="overflow:hidden" onLoad="javascript:getLogin()" bgcolor="#ffffff">
-<div id="conteudo">
-<div style="position: absolute; top:0px; right: 10px;"><span class="login_label">{lang_language}&nbsp;&nbsp;</span>{select_language}</div>
-<div align="center">
-	<div id="conteudo_corpo">
-		<div id="superior">
-		<div id="login">
-      <div align="center">
-<form name="flogin" method="post" action="{login_url}" {autocomplete}>
-<input type="hidden" name="passwd_type" value="text">
-<input type="hidden" name="account type" value="u">
-<input type="hidden" name="login">
-<div id="caixa_login">
-          <div id="reflexo">
-           <div class="titulo_login">Expresso Livre</div>
-           <div id="mensagem" class="msgInicial" >{cd}<br>{lang_message}</div>
-	   {action}
-            <div id="conteudo_login" style="display:{show};">
-              <div class="login_label">
-                <label for="usuario">{lang_username}</label>
-                <br />
-                <input class="input" type="text" maxlength="50" size="20" name="user" id="user" value="">
-              </div>
+<TABLE bgcolor="#000000" border="0" cellpadding="0" cellspacing="0" width="40%" align="center">
+ <TR>
+  <TD>
+   <TABLE border="0" width="100%" bgcolor="#486591" cellpadding="2" cellspacing="1">
+    <TR bgcolor="#{bg_color_title}">
+     <TD align="LEFT" valign="MIDDLE">
+      <font color="#FEFEFE">&nbsp;{website_title}</font>
+     </TD>
+    </TR>
+    <TR bgcolor="#e6e6e6">
+     <TD valign="BASELINE">
 
-              <div class="login_label">
-                <label for="senha">{lang_password}</label>
-                <br />
-                <input class="input" type="password" maxlength="50" size="20" name="passwd" id="passwd" value="">
-              </div>
-		{captcha}
-      
-              <input value="{lang_login}" name="submitit" class="button" onclick="javascript:setLogin()" type="submit" style="margin-top:10px"/>
-            </div> 
-<div style="margin-top:5px">
- {link_alterna_login}
-</div>
-          </div>
-          <div id="rodape_login">
-	    <div class="ajuda"><a target="help" href="./phpgwapi/templates/{template}/help.php?lang={lang}">Ajuda</a></div>
-          </div>
-        </div>
-</form>
-</div>
-</div>
-</div>
-<div id="inferior"><br />
-<div id="rodape">
-<table align="center" cellspacing="0" cellpadding="0" border="0">
-	<tr>
-		<td>
-			<table border="0" cellpadding="0" cellspacing="0" width="300px">
-          		<tbody>
-          			<tr> 
-            			<td>{logo_config}
-				<br><a title="Projeto Expresso Livre" target="_blank" href="http://www.expressolivre.org/">Expresso Livre</a> {version}
-				<br><a title="eGroupWare" target="_blank" href="http://www.egroupware.org/"> Powered by eGroupWare </a></div></td>
-          			</tr>
-        		</tbody>
-        	</table>
-        </td>
-	</tr>
-</table>
-</div>
-</div>
-</div>
-</div>
-</div>
-<div>{applet}</div>
-</body></html>
+		<FORM name="login" method="post" action="{login_url}" {autocomplete}>
+		<input type="hidden" name="passwd_type" value="text">
+		<input type="hidden" name="account type" value="u">
+			<TABLE border="0" align="CENTER" bgcolor="#486591" width="100%" cellpadding="0" cellspacing="0">
+				<TR bgcolor="#e6e6e6">
+					<TD colspan="3" align="CENTER">{cd}</TD>
+				</TR>
+				<TR bgcolor="#e6e6e6">
+					<TD align="RIGHT"><font color="#000000">{lang_username}:&nbsp;</font></TD>
+					<TD><input name="login" value="{cookie}"></TD>
+					<TD>{select_domain}</TD>
+				</TR>
+				<TR bgcolor="#e6e6e6">
+					<TD align="RIGHT"><font color="#000000">{lang_password}:&nbsp;</font></TD>
+					<TD><input name="passwd" type="password"></TD>
+					<TD>&nbsp;</TD>
+				</TR>
+				<TR bgcolor="#e6e6e6">
+					<TD colspan="3" align="CENTER"><input type="submit" value="{lang_login}" name="submitit"></TD>
+				</TR>
+				<TR bgcolor="#e6e6e6">
+					<TD colspan="3" align="right"><font color="#000000" size="-1">eGroupWare {version}</font></TD>
+				</TR>       
+			</TABLE>
+		</FORM>
+     
+     </TD>
+    </TR>
+   </TABLE>
+  </TD>
+ </TR>
+</TABLE>
+
+<!-- END login_form -->
+</HTML>