Index: /trunk/help/templates/classic/pt-br/content.html
===================================================================
--- /trunk/help/templates/classic/pt-br/content.html	(revision 1251)
+++ /trunk/help/templates/classic/pt-br/content.html	(revision 1251)
@@ -0,0 +1,151 @@
+<html>
+<head>
+<title>Ajuda - Expresso Livre</title>
+<link rel='stylesheet' type='text/css' href='css/index.css'/>
+</head>
+<body>
+<a name='indice'>
+<br><div class='texto'>
+Esta ajuda cobre as funcionalidades básicas do Expresso<sup>Livre</sup> e está dividida conforme as categorias abaixo:
+</div></a>
+<br>
+<table border=0 width=95% class='links'>
+<tr>
+    <td align='center'><a href="#login" class='tabela'><img src="images/001_logoinicial.jpg" width=46 height=39><br>Página Inicial</td></a>
+    <td align='center'><a href="#expressomail" class='tabela'><img src="images/002_logoexpmail.jpg" width=46 height=39><br>ExpressoMail</td></a>
+    <td align='center'><a href="#calendario" class='tabela'><img src="images/003_logoagenda.jpg" width=46 height=39><br>Calendário</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#catalogo" class='tabela'><img src="images/004_logocatalogo.jpg" width=46 height=39><br>Catálogo de <br>Endereços</td></a>
+    <td align='center'><a href="#boletim" class='tabela'><img src="images/005_logoboletins.jpg" width=46 height=39><br>Boletins Internos</td></a>
+    <td align='center'><a href="#workflow" class='tabela'><img src="images/015_logowf.png" width=46 height=39><br>Workflow</td></a>
+</tr>
+<tr valign='top'>
+    <td align='center'><a href="#im" class='tabela' onclick=javascript:window.open('../../../../jabberit_messenger/help.php','janela','width=800,height=495,resizable=no')><img src="images/016_logoim.png"><br>Expresso<br>Messenger</td></a>
+	<td align='center'><a href="#logout" class='tabela'><img src="images/006_logologout.jpg" width=46 height=39><br>Desconectar</td></a>
+    <td align='center'></td>
+    <td align='center'></td>
+</tr>
+</table><br><br>
+<font face="Arial" size="2"><center><b><u>Manual de utilização</u></b></center></font>
+<div class='texto'><font face="Arial" size="2">Caso você queira copiar e imprimir o manual completo de utilização, Clique <b><a href="../../../downloads/Manual_Usuario_Expresso-pt-br.pdf">aqui</a></b>
+para fazer o download do arquivo, em formato PDF.</font></div><br>
+<br>
+<a name='login'>
+<p class='item'><img src='images/001_logoinicial.jpg'><sup><b>&nbsp;Pagina Inicial</b></sup></p>
+<div class='texto'>
+A página inicial é uma espécie de resumo da sua conta. Aparecerá nela sua agenda para a semana atual, as mensagens novas na sua Caixa de Entrada e as últimas informações dos Boletins Internos. Por padrão, é a página que aparece quando você se conecta no Expresso.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='expressomail'>
+<p class='item'><img src='images/002_logoexpmail.jpg'><sup><b>&nbsp;ExpressoMail</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../expressoMail1_2/help/CartelaExpressoMail.pdf" target="_blank">Manual completo do ExpressoMail</a><p>
+<p>O ExpressoMail é o módulo de correio do Expresso. Através dele você pode acessar, gerenciar e manipular suas mensagens. Ao entrar no módulo, é exibida a sua Caixa de Entrada, com menus principal e de pastas à sua esquerda. As principais funcionalidades do módulo serão descritas a seguir:
+<ul style='text-indent:0'>
+<li>Ao abrir uma mensagem ou redigir uma nova mensagem, será aberta uma aba ao lado da Caixa de Entrada. Isto permite que várias mensagens sejam abertas ao mesmo tempo, simultaneamente à escrita de uma nova mensagem, por exemplo.</li>
+<li>Para mover uma mensagem de uma pasta para outra, basta selecioná-la (clicando no quadrado à esquerda da mensagem), clicarsobre a mesma e arrastar para a pasta desejada. Para mover várias ao mesmo tempo, o processo é análogo.</li>
+<li>Ao abrir uma mensagem, apenas as opções de utilização mais usadas aparecem imediatamente.<br>
+<img src='images/007_acoesmensagem.jpg'><br>
+ Para visualizar mais opções, clique em "Opções" e aparecerá uma nova barra com mais opções e com o cabeçalho da mensagem.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/008_opcoesmensagem.jpg","janela","width=803,height=141,resizable=no")' style='color:black'><img src='images/008_opcoesmensagem_tmb2.jpg'></a><br>
+Clique na imagem para ampliá-la.<br><br></li>
+
+<li>&nbsp;<table width=340 border=0 class='texto'>
+<tr valign='top'><td width=50%>
+Várias funcionalidades do ExpressoMail podem ser alcançadas clicando com o botão direito sobre a mensagem:
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+</li>
+
+<!--<table width =100% border=0 class='texto' style='text-indent:0'>
+<tr><td width=50%>
+<ul><li>Várias funcionalidades do ExpressoMail podem ser alcançadas clicando com o botão direito sobre a mensagem:</li></ul>
+</td><td width=50%>
+<img src='images/009_botaodireito.jpg' width=193 height=143></td></tr>
+</table>
+
+<ul style='text-indent:0'>-->
+<li>Ao compor uma nova mensagem, para obter o endereço da pessoa para quem deseja enviar a mensagem, uma alternativa é digitar parte do nome e teclar F9. Aparecerá a tela abaixo. Escolha o destinatário desejado.<br>
+<a href='#expressomail' onclick='javascript:window.open("images/010_contatos.jpg","janela","width=629,height=299,resizable=no")' style='color:black'><center><img src='images/010_contatos_tmb.jpg'></center></a>
+<center>Clique na imagem para ampliá-la.</center><br><br></li>
+
+<li>&nbsp;
+<table width=330 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+Outra possibilidade é clicar no link <i>Pesquisar</i> e refinar a pesquisa por organização.
+</td><td width=50%>
+<a href='#expressomail' onclick='javascript:window.open("images/011_pesquisar.jpg","janela","width=523,height=418,resizable=no")' style='color:black'><img src='images/011_pesquisar_tmb.jpg'></a><br>Clique na imagem para ampliá-la.</td></tr></table></li>
+
+<li>&nbsp;
+<table width=350 border=0 class='texto' style='text-indent:0'>
+<tr valign='top'><td width=50%>
+O ExpressoMail possui ainda outros recursos, como edição de pastas, criação de filtros, opções de layout, limpeza automática da Lixeira, etc. Estes podem ser acessados através do menu principal, à esquerda da tela.
+</td><td width=50%>
+<img src='images/012_menuprincipal.jpg'></td></tr>
+</table></li>
+</div>
+<!--<table width =100% border=0 class='texto' style='text-indent:0'>
+<tr><td width=50%>
+<ul><li>Outra possibilidade é clicar no link <i>Pesquisar</i> e refinar a pesquisa por organização.</li></ul>
+</td><td width=50%>
+<a href='images/011_pesquisar.jpg' target='_blank' style='color:black'><img src='images/011_pesquisar.jpg' width=100%></a><br>Clique na imagem para ampliá-la.</td></tr>
+<tr><td width=50%>
+<ul><li>O ExpressoMail possui ainda outros recursos, como edição de pastas, criação de filtros, opções de layout, limpeza automática da Lixeira, etc. Estes podem ser acessados através do menu principal, à esquerda da tela.
+</td><td width=50%>
+<img src='images/012_menuprincipal.jpg' width=170 height=194></td></tr>
+</table>-->
+</ul>
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='calendario'>
+<p class='item'><img src='images/003_logoagenda.jpg'><sup><b>&nbsp;Calendário</b></sup></p>
+<div class='texto'>
+Este módulo disponibiliza uma agenda de eventos para o usuário. Para criar um evento, clique sobre a data e hora de início do evento e preencha o formulário. É possível criar eventos pessoais e profissionais, convidar participantes da rede do governo ou externos e até projetar uma repetição do evento. Este módulo está totalmente integrado ao módulo de correio, de forma que todos os participantes receberão um convite para o evento criado em suas contas. Do módulo de agenda, é possível monitorar a aceitação do evento por parte dos participantes.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='catalogo'>
+<p class='item'><img src='images/004_logocatalogo.jpg'><sup><b>&nbsp;Catálogo de Endereços</b></sup></p>
+<div class='texto'>
+No Catálogo de Endereços é possível visualizar o catálogo geral de usuários e gerenciar seu catálogo pessoal.
+<table width=390 border=0 class='texto' style='bottom:0px'>
+<tr><td width=50%>
+<img src='images/013_arvorecatalogo.jpg'>
+</td><td width=50%>
+No menu de Catálogos, clique em Pessoal para visualizar seus contatos pessoais. Clique em Grupos, para ver os grupos que você criou. Clique em Catálogo Geral para expandir a árvore com todas as organizações do estado. Clique em qualquer um dos nomes para visualizar os usuários daquela organização.
+</td></tr></table>
+O Catálogo de Endereços ainda lhe permite visualizar os contatos em ordem alfabética e filtrar pela inicial do contato. Para isso clique nos botões A, B, C,... ou em "Todos" para visualizar todos os contatos.<br>
+<img src="images/014_opcoescatalogo.jpg" width=100%>
+Através do menu "Novo", clique em "Contato" para adicionar alguém ao seu Catálogo Pessoal, em formulário completo ou reduzido ou clique em "Grupo" para criar um grupo pessoal. É possível exportar ou importar uma lista de contatos através do botão Importar|Exportar. Clicando ainda em "Ver Cartões", a lista de usuários é substituída por cartões com foto e mais informações de cada usuário.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='boletim'>
+<p class='item'><img src='images/005_logoboletins.jpg'><sup><b>&nbsp;Boletins Internos</b></sup></p>
+<div class='texto'>
+Este módulo traz os informativos e notícias sobre o Expresso. Algumas dúvidas na configuração e utilização do Expresso podem ser tiradas olhando esta ferramenta.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='workflow'>
+<p class='item'><img src='images/015_logowf.png'><sup><b>&nbsp;Workflow</b></sup></p>
+<div class='texto'>
+<img align="bottom" src="../../../../expressoMail1_2/templates/default/images/menu/acroread.png"/><a style="font-size:12" title="Clique aqui!" href="../../../../workflow/doc/manual_do_usuario.pdf" target="_blank">Manual do Usuário do Workflow</a>
+<p>O módulo workflow é um ambiente para execução de fluxos de trabalho. Ao entrar no módulo o usuário visualizará os processos de workflow, que tem acesso, e poderá iniciar atividades. Existe uma caixa de tarefas pendentes, onde o usuário recebe as atividades que lhe são atribuídas para execução.</p>
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+<a name='logout'>
+<p class='item'><img src='images/006_logologout.jpg'><sup><b>&nbsp;Desconectar</b></sup></p>
+<div class='texto'>
+Clique neste botão para sair do Expresso.
+</div>
+<p class='back'><a href="#indice">Voltar</a></p>
+
+
+</body>
+</html>
Index: /trunk/help/templates/classic/index.tpl
===================================================================
--- /trunk/help/templates/classic/index.tpl	(revision 1251)
+++ /trunk/help/templates/classic/index.tpl	(revision 1251)
@@ -0,0 +1,14 @@
+<html>
+<head>
+<title>{title_help}</title>
+<link rel='stylesheet' type='text/css' href='templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<p class='titulo' style="font-color:blue;text-align:center;position:absolute;top:20px;left:5px;z-index:0;">{lang_help}</p>
+</td></tr></table>
+<iframe frameborder='0' width='100%' height='410px' src="templates/{template_set}/{lang}/content.html"></iframe>
+</body>
+</html>
Index: /trunk/help/templates/classic/success.tpl
===================================================================
--- /trunk/help/templates/classic/success.tpl	(revision 1251)
+++ /trunk/help/templates/classic/success.tpl	(revision 1251)
@@ -0,0 +1,28 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title></head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<span class="titulo" >{lang_suggestions}</span><img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+</td></tr></table><br><br>
+<p  align=center style='margin-top:0cm;margin-right:6.55pt;
+	margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:center'>
+<font face="Arial" size="2"><b>{txt_success}</b></font>
+<br>
+<br>
+<table border="0" width="320">
+    <tr>
+      <td><p  align=center style='margin-top:0cm;margin-right:6.55pt;font-width:10px
+		margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:justify'>{html_description}</p>		
+	   </td>
+    </tr>
+  </table>
+  <br><br>
+<input type="button" name="bt_close" value="{txt_close}" onClick="javascript:window.close()">
+</p>
+</form>
+</div>
+</body>
+</html>
Index: /trunk/help/templates/classic/css/index.css
===================================================================
--- /trunk/help/templates/classic/css/index.css	(revision 1251)
+++ /trunk/help/templates/classic/css/index.css	(revision 1251)
@@ -0,0 +1,49 @@
+.titulo
+    {font-size:18.0pt;
+    font-family:Verdana;
+    position:absolute;
+    top:45px;
+    left:5px;
+    z-index:0;};
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+
Index: /trunk/help/templates/classic/suggestions.tpl
===================================================================
--- /trunk/help/templates/classic/suggestions.tpl	(revision 1251)
+++ /trunk/help/templates/classic/suggestions.tpl	(revision 1251)
@@ -0,0 +1,33 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title>
+		<script language="Javascript">
+		function send()	{
+			if(document.doit.body.value ==""){
+				alert('Não existe nenhum texto digitado.');
+				return false;
+			}
+			document.doit.submit();
+		}
+		</script>		
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='right' background="./templates/{template_set}/images/fundo_topo.jpg">
+<span class="titulo" >{lang_suggestions}</span><img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+</td></tr></table>
+<div align='center'>
+<p align="center">
+<font face="Arial" size="2"><b>{txt_desc}</font></p>
+<form name="doit" action="enviasugestao.php" method="POST">
+<textarea name="body" cols="40" rows="15" wrap></textarea>
+<br>
+<br>
+<input type="button" name="bt_send" value="{txt_send}" onClick="javascript:send()">
+&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<input type="button" name="bt_cancel" value="{txt_cancel}" onClick="javascript:window.close()">
+</form>
+</div>
+</body>
+</html>
Index: /trunk/help/templates/default/index.tpl
===================================================================
--- /trunk/help/templates/default/index.tpl	(revision 1251)
+++ /trunk/help/templates/default/index.tpl	(revision 1251)
@@ -0,0 +1,14 @@
+<html>
+<head>
+<title>{title_help}</title>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_help}</span>
+</td></tr></table>
+<iframe frameborder='0' width='100%' height='435px' src="templates/{template_set}/{lang}/content.html"></iframe>
+</body>
+</html>
Index: /trunk/help/templates/default/success.tpl
===================================================================
--- /trunk/help/templates/default/success.tpl	(revision 1251)
+++ /trunk/help/templates/default/success.tpl	(revision 1251)
@@ -0,0 +1,30 @@
+<html>
+<head>
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+<title>{title_suggestions}</title></head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_suggestions}</span>
+</td></tr></table>
+<br><br>
+<p  align=center style='margin-top:0cm;margin-right:6.55pt;
+	margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:center'>
+<font face="Arial" size="2"><b>{txt_success}</b></font>
+<br>
+<br>
+<table border="0" width="320">
+    <tr>
+      <td><p  align=center style='margin-top:0cm;margin-right:6.55pt;font-width:10px
+		margin-bottom:0cm;margin-left:25pt;margin-bottom:.0001pt;text-align:justify'>{html_description}</p>		
+	   </td>
+    </tr>
+  </table>
+  <br><br>
+<input type="button" name="bt_close" value="{txt_close}" onClick="javascript:window.close()">
+</p>
+</form>
+</div>
+</body>
+</html>
Index: /trunk/help/templates/default/css/index.css
===================================================================
--- /trunk/help/templates/default/css/index.css	(revision 1251)
+++ /trunk/help/templates/default/css/index.css	(revision 1251)
@@ -0,0 +1,51 @@
+.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     position:	absolute;
+     top:10px;
+     color: white;
+     right:	5px;
+     z-index:0;
+     };
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:white;
+    text-decoration:none }
+
Index: /trunk/help/templates/default/suggestions.tpl
===================================================================
--- /trunk/help/templates/default/suggestions.tpl	(revision 1251)
+++ /trunk/help/templates/default/suggestions.tpl	(revision 1251)
@@ -0,0 +1,34 @@
+<html>
+<head>
+<title>{title_suggestions}</title>
+		<script language="Javascript">
+		function send()	{
+			if(document.doit.body.value ==""){
+				alert('Não existe nenhum texto digitado.');
+				return false;
+			}
+			document.doit.submit();
+		}
+		</script>		
+<link rel='stylesheet' type='text/css' href='./templates/{template_set}/css/index.css'/>
+</head>
+<body style="margin:0px;padding:0px;">
+<table width='100%'>
+<tr><td align='left' background="./templates/{template_set}/images/fundo_topo.jpg">
+<img src="./templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<span class='titulo'>{lang_suggestions}</span>
+</td></tr></table>
+<div align='center'>
+<p align="center">
+<font face="Arial" size="2"><b>{txt_desc}</font></p>
+<form name="doit" action="enviasugestao.php" method="POST">
+<textarea name="body" cols="40" rows="15" wrap></textarea>
+<br>
+<br>
+<input type="button" name="bt_send" value="{txt_send}" onClick="javascript:send()">
+&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<input type="button" name="bt_cancel" value="{txt_cancel}" onClick="javascript:window.close()">
+</form>
+</div>
+</body>
+</html>
Index: /trunk/help/templates/default/es-es/images
===================================================================
--- /trunk/help/templates/default/es-es/images	(revision 1251)
+++ /trunk/help/templates/default/es-es/images	(revision 1251)
@@ -0,0 +1,1 @@
+link ../pt-br/images/
Index: /trunk/help/templates/default/es-es/css/index.css
===================================================================
--- /trunk/help/templates/default/es-es/css/index.css	(revision 1251)
+++ /trunk/help/templates/default/es-es/css/index.css	(revision 1251)
@@ -0,0 +1,46 @@
+p.titulo
+    {font-size: 18.0pt;
+     font-family: "Verdana";
+     text-align: center;}
+p.item
+    {font-size: 16.0pt;
+     font-family: "Arial";
+     text-align: justify;}
+div.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 50;
+     margin: 10px;}
+table.texto
+    {font-size: 9.0pt;
+     font-family: "Arial";
+     text-align: justify;
+     text-indent: 0;
+     margin: 0px;
+     padding: 0px;
+     position: relative;
+     bottom: 15px;}
+table.links
+    {font-size: 8.0pt;
+     font-family: "Verdana";
+     text-align: center;
+     text-indent: 0;
+     margin: 10px;
+     border-spacing:5px;}
+p.back
+    {font-size: 10.0pt;
+     font-family: "Arial";
+     text-align: right;}
+a:link
+    {color:blue;
+    text-decoration:underline;
+    text-underline:single;}
+a:visited
+    {color:purple;
+    text-decoration:underline;
+    text-underline:single;}
+a.tabela
+    {color:black;
+    text-decoration:none;}
+