Index: /trunk/workflow/js/userinterface/orgchart.js
===================================================================
--- /trunk/workflow/js/userinterface/orgchart.js	(revision 1276)
+++ /trunk/workflow/js/userinterface/orgchart.js	(revision 1279)
@@ -38,5 +38,5 @@
 	content += '<option onclick="getHierarchicalArea( );" selected="true">Áreas</option>'
 	content += '<option onclick="getCostCenters( );">Centros de Custo</option>'
-	content += '<option onclick="getManning( )">Lotação</option>'
+	content += '<option onclick="getManning( )">Localidades</option>'
 	content += '<option onclick="getAreaWithSubtituteBoss( )">Substituição de Chefia</option>'
 	content += '<option onclick="getUsefulPhones( );">Telefones Úteis</option>'
@@ -102,5 +102,5 @@
 	}
 
-	var content = '<center><h3>CENTROS DE CUSTO</strong></h3>';
+	var content = '';
 	content += '<table class="employeeList">';
 	content += '<tr><th>Nome</th><th>Número</th><th>Grupo</th></tr>';
Index: /trunk/workflow/js/orgchart/organization.js
===================================================================
--- /trunk/workflow/js/orgchart/organization.js	(revision 1245)
+++ /trunk/workflow/js/orgchart/organization.js	(revision 1279)
@@ -386,13 +386,16 @@
 {
 	var content = '<ul class="horizontalMenu">';
-	content += '<li><a href="#" onclick="loadAddEmployeeStatusUI(' + organizationID  + '); return false;" class="lbOn">Status de Funcionário</a></li>';
-	content += '<li><a href="#" onclick="loadAddEmployeeCategoryUI(' + organizationID  + '); return false;" class="lbOn">Categorias</a></li>';
-	content += '<li><a href="#" onclick="loadAddJobTitleUI(' + organizationID  + '); return false;" class="lbOn">Cargos</a></li>';
-	content += '<li><a href="#" onclick="loadAddAreaStatusUI(' + organizationID  + '); return false;" class="lbOn">Status de Área</a></li>';
-	content += '<li><a href="#" onclick="loadAddCostCenterUI(' + organizationID  + '); return false;" class="lbOn">Centros de Custo</a></li>';
-	content += '<li><a href="#" onclick="loadAddLocalUI(' + organizationID  + '); return false;" class="lbOn">Localidade</a></li>';
-	content += '<li><a href="#" onclick="loadAddAreaUI(' + organizationID  + '); return false;" class="lbOn">Áreas</a></li>';
-	content += '<li><a href="#" onclick="loadAddEmployeeUI(' + organizationID  + '); return false;" class="lbOn">Funcionários</a></li>';
-	content += '<li><a href="#" onclick="loadAddTelephoneUI(' + organizationID  + '); return false;" class="lbOn">Telefones</a></li>';
+	content += '<li style="margin: 5px 5px 0 5px">Atualizar : <select>'
+	content += '<option></option>'
+	content += '<option onclick="loadAddEmployeeStatusUI(' + organizationID  + ');" class="lbOn">Status de Funcionário</option>'
+	content += '<option onclick="loadAddEmployeeCategoryUI(' + organizationID  + ');" class="lbOn">Categorias</option>'
+	content += '<option onclick="loadAddJobTitleUI(' + organizationID  + ');" class="lbOn">Cargos</option>'
+	content += '<option onclick="loadAddAreaStatusUI(' + organizationID  + ');" class="lbOn">Status de Área</option>'
+	content += '<option onclick="loadAddCostCenterUI(' + organizationID  + ');" class="lbOn">Centros de Custo</option>'
+	content += '<option onclick="loadAddLocalUI(' + organizationID  + ');" class="lbOn">Localidade</option>'
+	content += '<option onclick="loadAddAreaUI(' + organizationID  + ');" class="lbOn">Áreas</option>'
+	content += '<option onclick="loadAddEmployeeUI(' + organizationID  + ');" class="lbOn">Funcionários</option>'
+	content += '<option onclick="loadAddTelephoneUI(' + organizationID  + ');" class="lbOn">Telefones</option>'
+	content += '</select></li>';
 	content += '<li><a><input type="text" name="search_term" id="search_term" onkeypress="if (((window.Event) ? event.which : event.keyCode) == 13) $(\'search_span_' + organizationID  + '\').onclick(); return true;" /> <span id="search_span_' + organizationID + '" onclick="tmp = $$(\'div#orgchartAreas_' + organizationID + ' a.destaque\'); if (tmp[0]) tmp[0].removeClassName(\'destaque\'); searchEmployee(' + organizationID + ', $(\'orgchartEmployees_' + organizationID + '\')); return false;">busca</span></a></li>';
 	content += '</ul>';