Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 1264)
+++ /trunk/expressoMail1_2/index.php	(revision 1290)
@@ -57,10 +57,7 @@
 	$_SESSION['phpgw_info']['expressomail']['user']['email'] = $GLOBALS['phpgw']->preferences->values['email'];
 	
-	if($current_config['enable_local_messages']!='True')  {
-		$GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] = 0;
-	}
 	$preferences = $GLOBALS['phpgw']->preferences->read();
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail'] = $preferences['expressoMail'];
-	 $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['voip_enabled'] = $voip_enabled;
+	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['voip_enabled'] = $voip_enabled;
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['voip_email_redirect'] = $emailVoip;
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['outoffice'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['outoffice'];
@@ -69,8 +66,4 @@
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['number_of_contacts'] = $current_config['expressoMail_Number_of_dynamic_contacts'] ? $current_config['expressoMail_Number_of_dynamic_contacts'] : "0";
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['notification_domains'] = $current_config['expressoMail_notification_domains'];
-	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['remove_attachments_function'] = $current_config['expressoMail_remove_attachments_function'];
-	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_important_flag'] = $current_config['expressoMail_enable_important_flag'];
-	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_local_messages'] : "0";
-	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['keep_archived_messages'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['keep_archived_messages'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['keep_archived_messages'] : "0";
     $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_assinar_criptografar'] = $GLOBALS['phpgw_info']['server']['use_assinar_criptografar'] ?  $GLOBALS['phpgw_info']['server']['use_assinar_criptografar'] : "0";
     $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_signature_digital_cripto'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_signature_digital_cripto'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_signature_digital_cripto'] : "0";
Index: /trunk/expressoMail1_2/templates/default/config.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/config.tpl	(revision 1248)
+++ /trunk/expressoMail1_2/templates/default/config.tpl	(revision 1290)
@@ -22,14 +22,5 @@
     </td>
    </tr>
-	<tr class="{row_off}">
-    <td>{lang_Would_you_like_to_use_local_messages_?}:</td>
-    <td>
-     <select name="newsettings[enable_local_messages]">
-      <option value="">{lang_No}</option>
-      <option value="True"{selected_enable_local_messages_True}>{lang_Yes}</option>
-     </select>
-    </td>
-   </tr>
-   <tr bgcolor="{row_on}">
+   <tr bgcolor="{row_off}">
     <td>{lang_Do_you_want_to_log_the_sent_messages?}</td>
     <td>
@@ -40,5 +31,5 @@
     </td>
    </tr>
-   <tr bgcolor="{row_off}">
+   <tr bgcolor="{row_on}">
    <td>{lang_Do_you_want_to_cache_php_requests_in_javascript?}</td>
    <td>
@@ -49,23 +40,5 @@
    </td>
    </tr>
-   <tr bgcolor="{row_on}">
-   <td>{lang_Do_you_want_to_use_important_flag_in_email_editor?}</td>
-   <td>
-   <select name="newsettings[expressoMail_enable_important_flag]">
-   <option value=""{selected_expressoMail_enable_important_flag_False}>{lang_No}</option>  
-   <option value="True"{selected_expressoMail_enable_important_flag_True}>{lang_Yes}</option>
-   </select>
-   </td>
-   </tr>
    <tr bgcolor="{row_off}">
-   <td>{lang_Do_you_want_to_use_remove_attachments_function?}</td>
-   <td>
-   <select name="newsettings[expressoMail_remove_attachments_function]">
-   <option value=""{selected_expressoMail_remove_attachments_function_False}>{lang_No}</option>
-   <option value="True"{selected_expressoMail_remove_attachments_function_True}>{lang_Yes}</option>
-   </select>
-   </td>
-   </tr>
-   <tr bgcolor="{row_on}">
    <td>{lang_Do_you_want_to_use_the_spam_filter?}</td>
    <td>
@@ -76,10 +49,10 @@
     </td>
    </tr>
-   <tr bgcolor="{row_off}">
+   <tr bgcolor="{row_on}">
     <td>{lang_Command_for_spam}</td>
     <td>
     <input type="text" name="newsettings[expressoMail_command_for_spam]" value="{value_expressoMail_command_for_spam}" size="60" /> 
     </td>
-    <tr bgcolor="{row_on}">
+    <tr bgcolor="{row_off}">
     <td>{lang_Command_for_unmark_spam}</td>
     <td>
@@ -87,5 +60,5 @@
     </td>
     </tr>
-    <tr bgcolor="{row_off}">
+    <tr bgcolor="{row_on}">
     <td>{lang_Always_confirm_notification_to_these_domains}</td>
     <td>
@@ -93,5 +66,5 @@
     </td>
     </tr>
-    <tr bgcolor="{row_on}">
+    <tr bgcolor="{row_off}">
     <td>{lang_Number_of_dynamic_contacts}</td>
     <td>
@@ -99,5 +72,5 @@
     </td>
     </tr>
-    <tr bgcolor="{row_off}"> 	 	 
+    <tr bgcolor="{row_on}"> 	 	 
     <td>{lang_Max_attachment_size}</td> 	 	 
     <td> 	 	 