Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 1056)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 1323)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'phpgwapi';
-	$setup_info['phpgwapi']['version']   = '2.0.0.pre-alpha';
+	$setup_info['phpgwapi']['version']   = '2.0.000';
 	$setup_info['phpgwapi']['versions']['current_header'] = '1.27';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 1036)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 1323)
@@ -1660,4 +1660,24 @@
 
 	}
-
+	
+	$test[] = '1.0.0.008';
+	function phpgwapi_upgrade1_0_0_008()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.0.pre-alpha';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+
+	}
+
+	$test[] = '2.0.0.pre-alpha';
+	function phpgwapi_upgrade2_0_0_prealpha()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.000';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.0.000';
+	function phpgwapi_upgrade2_0_000()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.0.001';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1323)
@@ -45,10 +45,19 @@
 	}
 	
-	$test[] = '1.261';
-	function expressoAdmin1_2_upgrade1_261()
+	$test[] = '1.250';
+	function expressoAdmin1_2_upgrade1_250()
 	{
 		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','appinfo');
 		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','groupinfo');
 		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','msg');
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.261';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	
+	$test[] = '1.261';
+	function expressoAdmin1_2_upgrade1_261()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
 
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 1068)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 1323)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'ExpressoAdmin 1.2';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '1.261';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.0.000';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
@@ -35,5 +35,5 @@
 	$setup_info['expressoAdmin1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 1068)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 1323)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	//$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '1.0.0';
+	$setup_info['news_admin']['version']   = '2.0.000';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
@@ -31,5 +31,5 @@
 	$setup_info['news_admin']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('0.9.14', '0.9.15','2.0.0')
+		 'versions' => Array('2.0')
 	);
 
Index: /trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- /trunk/news_admin/setup/tables_update.inc.php	(revision 49)
+++ /trunk/news_admin/setup/tables_update.inc.php	(revision 1323)
@@ -149,3 +149,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+	$test[] = '1.0.0';
+	function news_admin_upgrade1_0_0()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.0.000';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
 ?>
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 1068)
+++ /trunk/admin/setup/setup.inc.php	(revision 1323)
@@ -12,5 +12,5 @@
 
 	$setup_info['admin']['name']      = 'admin';
-	$setup_info['admin']['version']   = '1.0.0';
+	$setup_info['admin']['version']   = '2.0.000';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
@@ -47,5 +47,5 @@
 	$setup_info['admin']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 1068)
+++ /trunk/help/setup/setup.inc.php	(revision 1323)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '1.0.0';
+	$setup_info['help']['version']   = '2.0.000';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 4;	// popup
@@ -26,5 +26,5 @@
 	$setup_info['help']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('0.9.14','2.0.0')
+		 'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 1068)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 1323)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Jeti Applet';
-	$setup_info['jabberit_messenger']['version']   	= '0.7.13';
+	$setup_info['jabberit_messenger']['version']   	= '2.0.000';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
@@ -27,5 +27,5 @@
 	$setup_info['jabberit_messenger']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 533)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 1323)
@@ -116,3 +116,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	$test[] = '1.21';
+	function contactcenter_upgrade1_21() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.0.000';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 1068)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 1323)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '1.21';
+	$setup_info['contactcenter']['version']   = '2.0.000';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
@@ -76,5 +76,5 @@
 	$setup_info['contactcenter']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14', '0.9.15' ,'0.9.24','1.0.0', '2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 1068)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 1323)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '1.0.1';
+	$setup_info['emailadmin']['version']   = '2.0.000';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
@@ -40,5 +40,5 @@
 	$setup_info['emailadmin']['depends'][] = array(
 		'appname'  => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.16','2.0.0')
+		'versions' => Array('2.0')
 	);
 
Index: /trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- /trunk/emailadmin/setup/tables_update.inc.php	(revision 187)
+++ /trunk/emailadmin/setup/tables_update.inc.php	(revision 1323)
@@ -84,4 +84,9 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
-     
+   $test[] = '1.0.1';
+   function emailadmin_upgrade1_0_1()
+	{
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.0.000';
+      return $GLOBALS['setup_info']['emailadmin']['currentver'];
+   }
 ?>
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 1068)
+++ /trunk/preferences/setup/setup.inc.php	(revision 1323)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '0.9.13.002';
+	$setup_info['preferences']['version']   = '2.0.000';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
@@ -28,5 +28,5 @@
 	$setup_info['preferences']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.10', '0.9.11', '0.9.12', '0.9.13', '0.9.14','2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 1068)
+++ /trunk/mobile/setup/setup.inc.php	(revision 1323)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'ExpressoMini';
-	$setup_info['mobile']['version']   = '0.1.004';
+	$setup_info['mobile']['version']   = '2.0.000';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
@@ -39,5 +39,5 @@
 	$setup_info['mobile']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14', '0.9.15' ,'0.9.24','1.0.0', '2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>
Index: /trunk/calendar/setup/setup.inc.php
===================================================================
--- /trunk/calendar/setup/setup.inc.php	(revision 1068)
+++ /trunk/calendar/setup/setup.inc.php	(revision 1323)
@@ -12,5 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['version'] = '0.9.3';
+	$setup_info['calendar']['version'] = '2.0.000';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -52,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('0.9.14','0.9.15','0.9.16','1.0.00', '2.0.0')
+		 'versions' => Array('2.0')
 	);
Index: /trunk/calendar/setup/tables_update.inc.php
===================================================================
--- /trunk/calendar/setup/tables_update.inc.php	(revision 704)
+++ /trunk/calendar/setup/tables_update.inc.php	(revision 1323)
@@ -57,4 +57,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}	
-
+	$test[] = '0.9.3';
+	function calendar_upgrade0_9_3()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.000';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 1247)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 1323)
@@ -87,4 +87,9 @@
 		$GLOBALS['setup_info']['expressoMail1_2']['currentver'] = '1.235';
         return $GLOBALS['setup_info']['expressoMail1_2']['currentver'];
-	}	
+	}
+	$test[] = '1.235';
+	function expressoMail1_2_upgrade1_235() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.0.000';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}		
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 1247)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 1323)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'ExpressoMail 1.2';
-	$setup_info['expressoMail1_2']['version']   	= '1.235';
+	$setup_info['expressoMail1_2']['version']   	= '2.0.000';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';
@@ -37,5 +37,5 @@
 	$setup_info['expressoMail1_2']['depends'][] = array(
 		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','2.0.0')
+		'versions' => Array('2.0')
 	);
 ?>