Index: trunk/setup/templates/default/manageheader.tpl
===================================================================
--- trunk/setup/templates/default/manageheader.tpl	(revision 1042)
+++ trunk/setup/templates/default/manageheader.tpl	(revision 1337)
@@ -15,25 +15,25 @@
   }
 
-/***** INICIO BLOCO MAILMAN *****/
-
   function ocultar(zdiv)
   {
 	var xdiv = document.getElementById(zdiv);
-
 	if(xdiv.id == "certificado") {
 		xdiv.style.display='none';
-		var xdiv = document.getElementById('cert_0');
-		xdiv.checked = true;
-	}
-
-	if(xdiv.id == "conf_mailman") {
-		xdiv.style.display='none';
-		document.getElementById('use_mail_0').checked = true;
+		document.getElementById('cert_0').checked = true;
+	}
+	if( xdiv.id == "certificado" || xdiv.id == "criptografia") {
+		var xdiv = document.getElementById('criptografia');
+		document.getElementById('cripto_0').checked = true;
+	}
+	if(xdiv.id == "certificado" || xdiv.id == "criptografia" || xdiv.id == "cripto_options") {
+		var xdiv = document.getElementById('cripto_options');
+		document.getElementById('maxcerttxt').value = 0;
+		document.getElementById('atributoexpiracaotxt').value = '';
+		document.getElementById('atributousuarios').value = '';		
 	}
 	if(xdiv.id == "badlogin") {
-		xdiv.style.display='none';
-		var xdiv = document.getElementById('badlogintxt');
-		xdiv.value='0';
-	}	
+		document.getElementById('badlogintxt').value='0';
+	}
+	xdiv.style.display='none';	
   }
 
@@ -41,11 +41,17 @@
   {
 	var xdiv = document.getElementById(zdiv);
+	if(xdiv.id == "cripto_options") {
+		document.getElementById('maxcerttxt').value = '10';
+		document.getElementById('atributoexpiracaotxt').value = 'phpgwaccountexpires';
+		document.getElementById('atributousuarios').value = '';		
+	}
+	if(xdiv.id == "badlogin") {
+		document.getElementById('badlogintxt').value= '2';
+	}
 	xdiv.style.display='';
   }   
   
-/***** FIM BLOCO MAILMAN *****/
-
 function getEvent(e)
-// Retorna um dicionï¿œrio com o objeto evento e o cï¿œdigo da tecla pressionada
+// Retorna um dicionario com o objeto evento e o codigo da tecla pressionada
 {
   var d
@@ -65,6 +71,6 @@
 
 function soNumero(myfield, e)
-// Permite a digitaï¿œï¿œo de apenas nï¿œmeros em campos de formulï¿œrios
-// Utilizaï¿œï¿œo: <input type="text" onkeypress="return soNumero(this, event);">
+// Permite a digitacao de apenas numeros em campos de formularios
+// Utilizacao: <input type="text" onkeypress="return soNumero(this, event);">
 {
 
@@ -73,9 +79,9 @@
   var keycode = d['keycode'];
   if (e == null) return true;
-  // Tecla de funï¿œï¿œo (Ctrl, Alt), deixa passar
+  // Tecla de funcao (Ctrl, Alt), deixa passar
   if (e.ctrlKey || e.metaKey || keycode < 32)
     return true;
   else
-    return (keycode > 47 && keycode < 58); // false se tecla nï¿œo for numï¿œrica
+    return (keycode > 47 && keycode < 58); // false se tecla nao for numerica
 }
 
@@ -157,5 +163,5 @@
   </tr>{comment_r}
   
-	<!-- INICIO configuraï¿œï¿œes exclusivas para o ExpressoLivre -->
+	<!-- INICIO configuracoes exclusivas para o ExpressoLivre -->
 	<tr><td><br></td></tr>
 	<th colspan="2" class="th">ExpressoLivre</th>
@@ -168,19 +174,19 @@
   	<tr><td colspan="2">
 	  	<font color='red'>Obs.: Apenas use https no site, caso o apache esteja configurado para isto. A porta 443 DEVE estar liberada.</font><br>
-		<INPUT type="radio"{use_https_0} name="setting[use_https]" value="0" onclick="javascript:ocultar('certificado')">NAO Usar HTTPS no site.<BR>
+		<INPUT type="radio"{use_https_0} name="setting[use_https]" value="0" onclick="javascript:ocultar('certificado')">N&Atilde;O usar HTTPS no site.<BR>
 		<INPUT type="radio"{use_https_1} name="setting[use_https]" value="1" onclick="javascript:exibir('certificado')" >Usar HTTPS apenas no Login.<BR>
 		<INPUT type="radio"{use_https_2} name="setting[use_https]" value="2" onclick="javascript:exibir('certificado')" >Usar HTTPS no Site inteiro.<BR>	
   	</td></tr>
-	<tr><td colspan="2">
-	<div id="certificado" {div_cert}>
-	<table>
-	<tr><td colspan="2"><b>Usar Certificado Digital(para identificar o usuario no processo de login)?</b></td></tr>
+	<tr><td colspan="2">	
+	<table>
+	<tr><td colspan="2"><b>Usar Certificado Digital (para identificar o usuario no processo de login)?</b></td></tr>
   	<tr><td colspan="2">
-	          <font color='red'>Obs.: Para usar certificado Digital o uso do HTTPS deve ter sido selecionado no item acima.</font><br>
-		<INPUT id="cert_0" type="radio" {certificado_0} name="setting[certificado]" value="0" >Nao Usar Certificado Digital.<BR>
-		<INPUT id="cert_1" type="radio" {certificado_1} name="setting[certificado]" value="1">Usar Certificado Digital.<BR>
+	          <font color='red'>Obs.: Para habilitar este item o uso do HTTPS deve ter sido habilitado.</font><br>
+		<INPUT id="cert_0" type="radio" {certificado_0} name="setting[certificado]" onclick="javascript:ocultar('criptografia')" value="0" >N&Atilde;O Usar Certificado Digital.<BR>
+		<div id="certificado" {div_cert}>
+		<INPUT id="cert_1" type="radio" {certificado_1} name="setting[certificado]" onclick="javascript:exibir('criptografia')" value="1">Usar Certificado Digital.</div><BR>
   	</td></tr>
 	</table>
-	</div>
+	
 
 	</td></tr>
@@ -188,14 +194,45 @@
 	</fieldset>
 	</td></tr>
-	
-	<tr><td colspan="2">
+	<tr><td colspan="2">
+	<fieldset><legend>Criptografia e Assinatura Digital</legend>
+	<table>
+	<tr><td colspan="2">
+	<b>Habilitar Assinar/Criptografar digitalmente?</b>
+	 <br><font color='red'>Obs.: Para habilitar este item o uso de HTTPS e Certificado Digital devem ter sido habilitados.</font>
+	</td></tr>
+	<tr><td colspan="2">       
+		<INPUT id='cripto_0' onclick="javascript:ocultar('cripto_options')" type="radio" {use_assinar_criptografar_0} name="setting[use_assinar_criptografar]" value="0"  />N&Atilde;O habilitar.<BR>
+		<div id="criptografia" {div_cripto}><INPUT id='cripto_1' onclick="javascript:exibir('cripto_options')" type="radio" {use_assinar_criptografar_1} name="setting[use_assinar_criptografar]" value="1" />Habilitar.</div><BR>
+	</td></tr>
+	<tr><td colspan="2">
+	<div id="cripto_options" {cripto_options}>
+		<table>
+			<tr><td colspan="2">
+				<b>Numero maximo de destinatarios para uma mensagem cifrada<br><INPUT type="text" maxlength="2" size="3" name="setting[num_max_certs_to_cipher]" id="maxcerttxt" value="{num_max_certs_to_cipher}" onkeypress="return soNumero(this, event);"></td></tr>
+			<tr><td nowrap>
+				<b>Nome do atributo , no ldap, para controle de expiracao da senhas</b>
+			</td></tr>	
+			<tr><td>
+				<INPUT type="text" maxlength="50" size="40" name="setting[atributoexpiracao]" id="atributoexpiracaotxt" value="{atributoexpiracao}" >
+			</td></tr>
+			<tr><td nowrap>
+				<b>Classe ldap utilizada para identificar os usuarios</b>
+			</td></tr>	
+			<tr><td>
+				<INPUT type="text" maxlength="50" size="40" name="setting[atributousuarios]" id="atributousuarios" value="{atributousuarios}" >
+			</td></tr>
+		</table>		
+  	</div></td></tr>
+	</table>
+	</fieldset>
+   </td></tr>
+   <tr><td colspan="2">
 	<fieldset><legend> Anti-Robo</legend>
 	<table>
 	<tr><td colspan="2"><b>Usar Anti-Robo(CAPTCHA) ?</b></td></tr>
   	<tr><td colspan="2">
-		<INPUT type="radio" {captcha_0} name="setting[captcha]" value="0" onclick="javascript:ocultar('badlogin')">NAO Usar Anti-Robo.<BR>
+		<INPUT type="radio" {captcha_0} name="setting[captcha]" value="0" onclick="javascript:ocultar('badlogin')">N&Atilde;O Usar Anti-Robo.<BR>
 		<INPUT type="radio" {captcha_1} name="setting[captcha]" value="1" onclick="javascript:exibir('badlogin')" >Usar Anti-Robo.<BR>
-  	</td></tr>	
-	
+  	</td></tr>		
 	<tr><td colspan="2">
 	<div id="badlogin" {div_badlogin}>
@@ -212,101 +249,4 @@
 	</fieldset>
 	</td></tr>
-
-
-	<tr><td colspan="2">
-	<fieldset><legend>Seguran&ccedil;a</legend>
-	<table>
-	<tr><td colspan="2"><b>Habilitar Assinar/Criptografar digitalmente?</b></td></tr>
-	        <tr><td colspan="2">
-		<INPUT type="radio" {use_assinar_criptografar_0} name="setting[use_assinar_criptografar]" value="0"  />NAO habilitar.<BR>
-		<INPUT type="radio" {use_assinar_criptografar_1} name="setting[use_assinar_criptografar]" value="1" />Habilitar.<BR>
-	</td></tr>
-	<tr><td colspan="2"><b>Numero maximo de destinatarios para uma mensagem cifrada:</b><br>Este valor e utilizado se Assinar/Criptografar for habilitado.</td></tr>
-  	<tr><td colspan="2">
-		<INPUT type="text" maxlength="2" size="3" name="setting[num_max_certs_to_cipher]" id="maxcerttxt" value="{num_max_certs_to_cipher}" onkeypress="return soNumero(this, event);">
-  	</td></tr>
-	<!--
-	<tr><td colspan="2"><b>Aponta um certificado corporativo:</b><br> Este certificado sera incluido como destinatario adicional, quando cifrar uma msg.</td></tr>
-  	<tr><td colspan="2">
-		<INPUT type="text"  size="40" name="setting[corporative_certificate]" id="corpcerttxt" value="{corporative_certificate}" >
-  	</td></tr>	
-	-->
-	</fieldset>
-           </table>
-	   <br>
-
-
-	<tr><td nowrap>
-	<b>Nome do atributo , no ldap, para controle de expiracao da senhas.</b>
-	</td></tr>	
-	<tr><td>
-	<INPUT type="text" maxlength="50" size="40" name="setting[atributoexpiracao]" id="atributoexpiracaotxt" value="{atributoexpiracao}" >
-	</td></tr>
-	<tr><td nowrap>
-	<b>Classe ldap utilizada para identificar os usuarios.</b>
-	</td></tr>	
-	<tr><td>
-	<INPUT type="text" maxlength="50" size="40" name="setting[atributousuarios]" id="atributousuarios" value="{atributousuarios}" >
-	<tr><td colspan="2">
-	<fieldset><legend>Politica de Senhas</legend>
-	<table>
-	<tr><td colspan="2"><b>Usar qual politica de senhas?</b></td></tr>
-	        <tr><td colspan="2">
-		<INPUT type="radio" {politicasenhas_expresso} name="setting[politicasenhas]" value="expresso" />Utilizar as politicas de senha do Expresso.<BR>
-		<INPUT type="radio" {politicasenhas_diretorio} name="setting[politicasenhas]" value="diretorio" />Utilizar as politicas de senha do Diretorio Ldap.<BR>
-	</td></tr>
-	</table>
-	<tr><td colspan="2">
-	<fieldset><legend>Escrita em diretorios escravos</legend>
-	<table>
-	<tr><td colspan="2"><b>O Expresso deve tentar escrever em diretorios escravos?</b></td></tr>
-	    <tr><td colspan="2">
-		<INPUT type="radio" {diretorioescravo_true} name="setting[diretorioescravo]" value="sim" />Escrever em diretorios escravos.<BR>
-		<INPUT type="radio" {diretorioescravo_false} name="setting[diretorioescravo]" value="nao" />NAO escrever em diretorios escravos.<BR>
-	</td></tr>
-	</table>
-	</td></tr>
-
-
-<!-- INICIO BLOCO MAILMAN -->
-
-	<tr><td colspan="2">
-	<fieldset><legend>Mailman</legend>
-	<table>
-		<tr><td colspan="2"><b>Usar Mailman?</b></td></tr>
-	        <tr><td colspan="2">
-			<INPUT id="use_mail_0" type="radio" {use_mailman_0} name="setting[use_mailman]" value="0" onclick="javascript:ocultar('conf_mailman')" />NAO usar listas no Mailman.<BR>
-			<INPUT id="use_mail_1" type="radio" {use_mailman_1} name="setting[use_mailman]" value="1" onclick="javascript:exibir('conf_mailman')" />Usar listas no Mailman.<BR>
-		</td></tr>
-	</table>
-	<table id="conf_mailman" {div_mailman} >
-		<tr><td colspan="2"><b>Digite o DN usado pelas listas. (Ex.: ou=listas,dc=company,dc=com,dc=br)</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[dn_listas]" value="{dn_listas}" />
-		</td></tr>
-		<tr><td colspan="2"><b>Digite o DN do grupo listadmin. (Ex.: ou=grupos,dc=company,dc=com,dc=br)</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[dn_listadmin]" value="{dn_listadmin}" />
-		</td></tr>
-		<tr><td colspan="2"><b>Digite o dominio usado pelas listas. (Ex.: dominio.com.br)</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[dominio_listas]" value="{dominio_listas}" />
-		</td></tr>
-		<tr><td colspan="2"><b>Digite a porta utilizada pelo Mailman. (Ex: 80)</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[porta_mailman]" value="{porta_mailman}" onkeypress="return soNumero(this, event);"/>
-		</td></tr>
-		<tr><td colspan="2"><b>Digite o endereco IP do servidor Mailman. (Ex.: 192.168.0.1)</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[host_mailman]" value="{host_mailman}" />
-		</td></tr>
-		<tr><td colspan="2"><b>Digite o caminho do programa de sincronizacao do Mailman.</b></td></tr>
-		<tr><td colspan="2">
-			<INPUT size="50" name="setting[url_mailman]" value="{url_mailman}" />
-		</td></tr>
-	</table>
-
-<!-- FIM BLOCO MAILMAN -->
-
 	<tr><td colspan="2"><b>Digite os enderecos de emails, separados por virgula, que devem receber as sugestoes enviadas pelos usuarios.</b></td></tr>
 	<tr><td colspan="2"><INPUT size="100" name="setting[sugestoes_email_to]" value="{sugestoes_email_to}"></td></tr>
@@ -316,5 +256,5 @@
 	
 	<th colspan="2" class="th">&nbsp;</th>
-  	<!-- FIM configuraï¿œï¿œes exclusivas para o ExpressoLivre -->
+  	<!-- FIM configuracoes exclusivas para o ExpressoLivre -->
 
   <tr>
Index: trunk/setup/templates/default/login_main.tpl
===================================================================
--- trunk/setup/templates/default/login_main.tpl	(revision 1083)
+++ trunk/setup/templates/default/login_main.tpl	(revision 1337)
@@ -18,5 +18,5 @@
 				<table>
 					<tr>
-						<td>{lang_header_username}:</td>
+						<td nowrap>{lang_header_username}:</td>
 						<td><input type="text" name="FormUser" value=""></td>
 						<td>{lang_select}</td>